Subject: bug#17714: closed (Re: bug#17714: 24.4.50; File coding system not detected correctly)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Jun 2014 09:53:03 +0000

Your bug report

#17714: 24.4.50; File coding system not detected correctly

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17714: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17714
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17714: 24.4.50; File coding system not detected correctly
From: Jorgen Schaefer <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Fri, 6 Jun 2014 11:51:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, 06 Jun 2014 12:22:15 +0300
Eli Zaretskii <[email-masked]> wrote:

> > From: Jorgen Schaefer <[email-masked]>
> > Date: Fri, 06 Jun 2014 10:24:53 +0200
> > 
> > Since a few days ago, current trunk stopped detecting file coding
> > systems correctly for me. For a file that is opened as utf-8 with
> > stable Emacs, it now says (using emacs -q, fundamental-mode):
> > 
> > -----
> > buffer-file-coding-system is a variable defined in `C source code'.
> > Its value is no-conversion
> > Local in buffer Todo; global value is utf-8-unix
> > -----
> > 
> > M-x revert-buffer-with-coding-system RET utf-8 RET works fine.
> 
> Please send an example file where you see this problem.

Hm. I *thought* I had seen the problem with more than one file, but it
turns out it was only one. The problem was that the file contained ^@
(zero bytes) from a yank from some process output. Which of course is
not valid utf-8.

Now I wonder why the file saved without error. There was some weird
vc error as well. Can't reproduce this now, though. So meh.

Sorry for the noise, nothing to see here. :-)

Jorgen

Subject: 24.4.50; File coding system not detected correctly
From: Jorgen Schaefer <[email-masked]>
To: [email-masked]
Date: Fri, 06 Jun 2014 10:24:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Since a few days ago, current trunk stopped detecting file coding
systems correctly for me. For a file that is opened as utf-8 with stable
Emacs, it now says (using emacs -q, fundamental-mode):

-----
buffer-file-coding-system is a variable defined in `C source code'.
Its value is no-conversion
Local in buffer Todo; global value is utf-8-unix
-----

M-x revert-buffer-with-coding-system RET utf-8 RET works fine.

Configured using:
 `configure --without-x'

Configured features:
SOUND NOTIFY LIBXML2 ZLIB

Important settings:
  value of $LC_ALL: 
  value of $LC_COLLATE: de_DE.UTF-8
  value of $LC_CTYPE: de_DE.UTF-8
  value of $LC_MESSAGES: POSIX
  value of $LC_MONETARY: POSIX
  value of $LC_NUMERIC: POSIX
  value of $LC_TIME: POSIX
  value of $LANG: POSIX
  locale-coding-system: utf-8-unix